AsterNet Class Library (Sandcastle documentation)

| OriginateAction Timeout Property

Get/Set the timeout for the origination in milliseconds.
The channel must be answered within this time, otherwise the origination is considered to have failed and an OriginateFailureEvent is generated.
If not set, Asterisk assumes a default value of 30000 meaning 30 seconds.

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public int Timeout { get; set; }

    Public Property Timeout As Integer
    	Get
    	Set

    public:
    property int Timeout {
    	int get ();
    	void set (int value);
    }

    member Timeout : int with get, set

#### Property Value

Type: Int32
See Also

#### Reference

OriginateAction Class
AsterNET.Manager.Action Namespace